### Hierarchy

- HttpTransportImpl
  - HttpTransportSyncedImpl

### Implements

- HttpTransport

## Index

### Constructors

- constructor

### Properties

- host
- interceptors
- logger

### Methods

- acceptInterceptor
- addInterceptor
- getHost
- sendMultipartData
- sendRequest

## Constructors

### constructor

- new HttpTransportImpl(host: string, loggerService?: Logger): HttpTransportImpl

- - Defined in repository/source/http/HttpTransportImpl.ts:24

  #### Parameters

  - ##### host: string

  - ##### Optional loggerService: Logger

  #### Returns HttpTransportImpl

## Properties

### Protected host

host: string

- Defined in repository/source/http/HttpTransportImpl.ts:23

### Protected interceptors

interceptors: Array<HttpInterceptor> = []

- Defined in repository/source/http/HttpTransportImpl.ts:21

### Protected logger

logger: Logger

- Defined in repository/source/http/HttpTransportImpl.ts:24

## Methods

### Protected acceptInterceptor

- acceptInterceptor(interceptorCortege: InterceptorCortege): Promise<InterceptorCortege>

- - Defined in repository/source/http/HttpTransportImpl.ts:135

  #### Parameters

  - ##### interceptorCortege: InterceptorCortege

  #### Returns Promise<InterceptorCortege>

### addInterceptor

- addInterceptor(interceptor: HttpInterceptor): HttpTransport

- Implementation of HttpTransport.addInterceptor

  - Defined in repository/source/http/HttpTransportImpl.ts:31

  #### Parameters

  - ##### interceptor: HttpInterceptor

  #### Returns HttpTransport

### getHost

- getHost(): string

- Implementation of HttpTransport.getHost

  - Defined in repository/source/http/HttpTransportImpl.ts:100

  #### Returns string

### Protected sendMultipartData

- sendMultipartData(data: SignedRequest, fileMeta: FileMeta, xhr: XMLHttpRequest): void

- - Defined in repository/source/http/HttpTransportImpl.ts:104

  #### Parameters

  - ##### data: SignedRequest

  - ##### fileMeta: FileMeta

  - ##### xhr: XMLHttpRequest

  #### Returns void

### sendRequest

- sendRequest<T>(path: string, method: HttpMethod, data?: object | string | number, file?: FileMeta): Promise<Response<T>>

- - Defined in repository/source/http/HttpTransportImpl.ts:39

  #### Type parameters

  - #### T

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### Optional data: object | string | number

  - ##### Optional file: FileMeta

  #### Returns Promise<Response<T>>

Generated using TypeDoc